Skip to main content
POST
/
folder
/
assign-agent
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "agent_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
    "folder_id": "25388237-72ba-46a9-b8b5-f0341939775c"
}

response = client.folders.assign_agent(**payload)
print(response)
{
  "success": true,
  "message": "Agent assigned to folder successfully"
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Assign agent to folder.

Folder Assign Agent Request schema.

agent_id
string
required

Agent ID

Example:

"04cf74f7-019b-4c3d-883c-610a42b32bc4"

folder_id
string

Folder ID

Example:

"25388237-72ba-46a9-b8b5-f0341939775c"

Response

Agent assigned

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.